package com.wd.workoffice.ui.adapter;


import android.graphics.Color;

import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.SendApplyBean;

import java.util.List;

import androidx.annotation.Nullable;

/**
 * Created by flexible on 2018/8/13.
 */

public class MesOrderAdapter extends BaseQuickAdapter<Object, BaseViewHolder> {
    public MesOrderAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }


    @Override
    protected void convert(BaseViewHolder helper, Object item) {
        if (helper.getAdapterPosition() % 2 == 0) {
            helper.setTextColor(R.id.tv_status, Color.parseColor("#FF34AA68"));
            helper.setText(R.id.tv_status,"已排程");
        } else {
            helper.setTextColor(R.id.tv_status, Color.parseColor("#FFD16A6A"));
            helper.setText(R.id.tv_status,"未排程");
        }
//        helper.setText(R.id.tv_name, item.getSerialNumber());
//        helper.setText(R.id.tv_reason, item.getApplyRemark());
//        helper.setText(R.id.tv_time, item.getCreatedTime());
//        if (status == 0) {
//                helper.setVisible(R.id.ll_btn, true);
//                helper.addOnClickListener(R.id.tv_agree);
//                helper.addOnClickListener(R.id.tv_refuse);
//            }
//        }
    }

}

